

// оголошуємо змінну admin та name
let admin;
let name;

// присвоюємо значення змінній name
name = "Yaroslav";

// копіюємо значення змінної name в змінну admin
admin = name;

// виводимо значення змінної admin в консоль
console.log(admin);


// оголошуємо змінну days та ініціалізуємо її числом від 1 до 10
let days = Math.floor(Math.random() * 10) + 1; //додаємо 1, щоб отримати випадкове число від 1 до 10.
//Math.random повертає псевдовипадкове число в діапазоні від 0 (включно) до 1 (але не включаючи 1)
//множимо його на 10, щоб отримати випадкове число від 0 до 10,
//Math.floor() використовується для округлення дробового числа до найближчого меншого цілого числа.


// перетворюємо число days на кількість секунд і виводимо на консоль
console.log(days * 24 * 60 * 60);


// запитуємо у користувача якесь значення і виводимо його в консоль
let userInput = prompt("Введіть якесь значення:");
//prompt() використовується для відображення спливаючого вікна з текстом
console.log(userInput);





/* Теоретичні питання

1 Як можна оголосити змінну у Javascript?
2 У чому різниця між функцією prompt та функцією confirm?
3 Що таке неявне перетворення типів? Наведіть один приклад.

1. Змінні можна оголосити у JavaScript за допомогою трьох ключових слів: var, let та const.

2.Функція (prompt) викликає діалогове вікно, що містить текстове поле для введення, а також кнопки "ОК" та "Скасувати".
Якщо користувач натискає кнопку "ОК", тоді введене значення буде повернене в якості результата
виклику функції prompt. Якщо користувач натискає кнопку "Скасувати", тоді функція prompt поверне значення null.

Функція (confirm) також викликає діалогове вікно, що містить текстове повідомлення та кнопки "OK" та "Скасувати".
Якщо користувач натискає кнопку "OK", тоді функція повертає true.
Якщо користувач натискає кнопку "Скасувати", тоді функція повертає false.


3.Неявне перетворення типів - це процес автоматичного перетворення значень одного типу даних в інший
тип даних без явного вказівника типу даних в коді програми.
Наприклад, якщо додати рядок та число, JavaScript автоматично перетворить число в рядок і об'єднає їх в один рядок.

let result = "5" + 3;  неявне перетворення числа в рядок
console.log(result);  "53"

У цьому прикладі, хоча один операнд є числом, а інший - рядком, JavaScript автоматично перетворить число в рядок
 і об'єднає їх, щоб отримати рядок "53". Це відбувається за допомогою неявного перетворення типів.

 */












